<?xml version="1.0" encoding="utf-8"?>
<resources>

    <!--头部bar-->
    <declare-styleable name="Platform_TitleBar">
        <attr name="pa_left_text" />
        <attr name="pa_left_start_icon" format="reference" />
        <attr name="pa_left_end_icon" format="reference" />
        <attr name="pa_title_text" format="string" />
        <attr name="pa_right_text" />
        <attr name="pa_right_start_icon" format="reference" />
        <attr name="pa_right_end_icon" format="reference" />
        <attr name="pa_side_text_color" format="color" />
        <attr name="pa_title_bar_text_color" format="color|reference" />
        <attr name="pa_bm_line_color" format="color" />
        <attr name="pa_right_iv" format="reference" />
        <attr name="pa_left_start_icon_color" format="color"  />
    </declare-styleable>
    <attr name="pa_left_text" format="string" />
    <attr name="pa_right_text" format="string" />

    <declare-styleable name="FlowLayout">
        <attr name="width_space" format="dimension" />
        <attr name="height_space" format="dimension" />
    </declare-styleable>

    <!--JumpTextView属性-->
    <declare-styleable name="Platform_JumpTextView">
        <attr name="pa_jump_tv_hide_arrow" format="boolean" />
        <!--左侧图标-->
        <attr name="pa_jump_tv_icon" format="reference" />
        <!--右侧文字开始处图标-->
        <attr name="pa_jump_tv_right_icon_start" format="reference" />
        <!--右侧文字末尾图标-->
        <attr name="pa_jump_tv_right_icon_end" format="reference" />
        <!--左侧文字-->
        <attr name="pa_jump_tv_left_text" format="string" />
        <!--左侧文字大小-->
        <attr name="pa_jump_tv_left_size" format="dimension" />
        <!--左侧文字颜色-->
        <attr name="pa_jump_tv_left_color" format="color" />
        <!--左侧文字宽度-->
        <attr name="pa_jump_tv_left_width" format="dimension" />
        <!--右侧文字gravity-->
        <attr name="pa_jump_tv_right_gravity" format="enum">
            <enum name="pa_left" value="1" />
            <enum name="pa_right" value="2" />
        </attr>
        <!--右侧文字-->
        <attr name="pa_jump_tv_right_text" format="string" />
        <!--右侧文字大小-->
        <attr name="pa_jump_tv_right_size" format="dimension" />
        <!--右侧文字颜色-->
        <attr name="pa_jump_tv_right_color" format="color" />
        <!--右侧文字内容最大字数-->
        <attr name="pa_jump_tv_right_max_length" format="integer" />
        <!--文字内容最多行数-->
        <attr name="pa_jump_tv_max_line" format="integer" />
        <!--是否可以点击状态-->
        <attr name="pa_jump_tv_can_click" format="boolean" />
        <!--左边图片宽度-->
        <attr name="pa_jump_tv_left_icon_width" format="dimension" />
        <!--左边图片高度-->
        <attr name="pa_jump_tv_left_icon_hight" format="dimension" />
        <!--左侧小红点-->
        <attr name="pa_jump_tv_left_red_dot" format="boolean" />
    </declare-styleable>

    <!--圆角按钮-->
    <declare-styleable name="Platform_RoundCornerButton">
        <!--描边属性-->
        <attr name="pa_round_stroke_width" format="dimension" />
        <attr name="pa_round_stroke_color" format="color" />
        <!--按钮默认背景色-->
        <attr name="pa_round_btn_bg" format="color" />
        <!--手指按下，波纹色-->
        <attr name="pa_round_btn_active_bg" format="color" />
        <!--不可用背景色-->
        <attr name="pa_round_btn_disable_bg" format="color" />
        <attr name="pa_round_btn_disable_text_color" format="color" />
        <!--圆角大小-->
        <attr name="pa_round_btn_radio_size" format="dimension" />
    </declare-styleable>

    <declare-styleable name="Platform_CircleImageView">
        <attr name="pa_border_width" format="dimension" />
        <attr name="pa_border_color" format="color" />
    </declare-styleable>

    <declare-styleable name="CircleImageView_">
        <attr name="civ_border_width" format="dimension" />
        <attr name="civ_border_color" format="color" />
        <attr name="civ_border_overlay" format="boolean" />
        <attr name="civ_fill_color" format="color" />
    </declare-styleable>


    <!--弧度设置圆角Imageview-->
<!--    <attr name="pa_borderRadius" format="dimension" />-->
<!--    <attr name="pa_type">-->
<!--        <enum name="pa_circle" value="0" />-->
<!--        <enum name="pa_round" value="1" />-->
<!--    </attr>-->

    <declare-styleable name="Platform_RoundImageView">
        <attr name="pa_borderRadius"  format="dimension" />
        <attr name="pa_type" >
            <enum name="pa_circle" value="0" />
            <enum name="pa_round" value="1" />
        </attr>
    </declare-styleable>

    <!--九宫格解锁-->
    <declare-styleable name="Platform_Lock9View">
        <attr name="pa_lock9_nodeSrc" format="color|reference" />
        <attr name="pa_lock9_nodeOnSrc" format="color|reference" />
        <attr name="pa_lock9_nodeSize" format="dimension" />
        <attr name="pa_lock9_nodeAreaExpand" format="dimension" />
        <attr name="pa_lock9_nodeOnAnim" format="reference" />
        <attr name="pa_lock9_lineColor" format="color" />
        <attr name="pa_lock9_lineWidth" format="dimension" />
        <attr name="pa_lock9_padding" format="dimension" />
        <attr name="pa_lock9_spacing" format="dimension" />
        <attr name="pa_lock9_autoLink" format="boolean" />
        <attr name="pa_lock9_enableVibrate" format="boolean" />
        <attr name="pa_lock9_vibrateTime" format="integer" />

    </declare-styleable>

    <!--banner-->
    <declare-styleable name="Platform_Banner">
        <attr name="pa_delay_time" format="integer" />
        <attr name="pa_scroll_time" format="integer" />
        <attr name="pa_is_auto_play" format="boolean" />
        <!-- 适配项目中banner选中和未选中时，指示器图标大小宽度不一致的问题    true:选中和未选中一致  false:选中和未选中不一致-->
        <attr name="pa_is_selected_same_unselected" format="boolean" />
        <!-- 是否显示指示器布局：true 显示  false 不显示 默认显示 -->
        <attr name="pa_is_show_indicator" format="boolean" />
        <!-- 指示器布局是否显示在banner内部 ： true 是  false 不是  默认是-->
        <attr name="pa_is_show_inside" format="boolean" />
        <!-- 样式不一致的时候，不一致的图标宽度-->
        <attr name="pa_indicator_different_width" format="dimension" />
        <attr name="pa_title_background" format="color|reference" />
        <attr name="pa_title_textcolor" format="color" />
        <attr name="pa_title_textsize" format="dimension" />
        <attr name="pa_title_height" format="dimension" />
        <attr name="pa_indicator_width" format="dimension" />
        <attr name="pa_indicator_height" format="dimension" />
        <attr name="pa_indicator_margin" format="dimension" />
        <attr name="pa_indicator_drawable_selected" format="reference" />
        <attr name="pa_indicator_drawable_unselected" format="reference" />
        <attr name="pa_banner_layout" format="reference" />
        <attr name="pa_banner_default_image" format="reference" />
        <attr name="pa_image_scale_type" format="enum">
            <enum name="center" value="0" />
            <enum name="center_crop" value="1" />
            <enum name="center_inside" value="2" />
            <enum name="fit_center" value="3" />
            <enum name="fit_end" value="4" />
            <enum name="fit_start" value="5" />
            <enum name="fit_xy" value="6" />
            <enum name="matrix" value="7" />
        </attr>
        <!--<attr name="indicator_animator" format="reference" />-->
        <!--<attr name="indicator_animator_reverse" format="reference" />-->
    </declare-styleable>

    <declare-styleable name="Platform_ProgressView">
        <attr name="pa_progressColor" format="color" />
        <attr name="pa_progressBackColor" format="color" />
        <attr name="pa_progressWidth" format="dimension" />
        <attr name="pa_textSize" format="dimension" />
        <attr name="pa_textColor" format="color" />
    </declare-styleable>

    <declare-styleable name="Platform_VerticalTabLayout">
        <attr name="pa_indicator_color" format="color" />
        <attr name="pa_tab_indicator_width" format="dimension" />
        <attr name="pa_tab_indicator_height" format="dimension" />
        <attr name="pa_indicator_corners" format="dimension" />
        <attr name="pa_tab_indicator_margin" format="dimension" />
        <attr name="pa_tab_indicator_gravity" format="enum">
            <enum name="left" value="3" />
            <enum name="right" value="5" />
            <enum name="fill" value="119" />
        </attr>
        <attr name="pa_tab_margin" format="dimension" />
        <attr name="pa_tab_mode" format="enum">
            <enum name="fixed" value="10" />
            <enum name="scrollable" value="11" />
        </attr>
        <attr name="pa_tab_height" format="dimension"/>
    </declare-styleable>
</resources>